import request from '@/utils/request'

// 查询排放因子维列表
export function listFactor(query) {
  return request({
    url: '/ems/basecfg/cacfg/emissionFactor/list',
    method: 'get',
    params: query
  })
}

// 查询排放因子维详细
export function getFactor(id) {
  return request({
    url: '/ems/basecfg/cacfg/emissionFactor/' + id,
    method: 'get'
  })
}

// 新增排放因子维
export function addFactor(data) {
  return request({
    url: '/ems/basecfg/cacfg/emissionFactor',
    method: 'post',
    data: data
  })
}

// 修改排放因子维
export function updateFactor(data) {
  return request({
    url: '/ems/basecfg/cacfg/emissionFactor',
    method: 'put',
    data: data
  })
}

// 删除排放因子维
export function delFactor(id) {
  return request({
    url: '/ems/basecfg/cacfg/emissionFactor/' + id,
    method: 'delete'
  })
}
